Tokens
Token related operations
Last updated
Token related operations
POST https://api.finqware.com/v1/tokens
Exchange a temp-token for an access-token.
client_id*
string
An identifier for your tenant app.
client_secret*
string
A tenant app secret.
temp_token*
string
A temporary token that has to be exchanged.
{
// A pointer to a newly created consent resource
"credentials_id": "242a5690-...-b4ed02bebd7f",
// An authorization key for this particular consent resource
"access_token": "MDAxNmxvY...iGc_CorFem9_YCg",
// time (UTC timestamp) when this consent is automatically expired
"consent_exp": "2020-11-03T11:22:54Z",
// time (UTC timestamp) when data pointed by this consent is permanently removed from the cache
"max_data_retention": "2020-12-03T11:22:54Z"
}// check the errors docs page for details
{
"id": "uuid",
"type": "invalid_request",
"http": 400,
"code": "invalid_client_id",
"message": "error message"
}Last updated